[Nextcloud](https://nextcloud.com/) with ldap authentication (needs a postgres database).

Seperately installed apps are not persistent because there is no possibility of
setting the app_path with occ.

# Volumes
- `/var/lib/nextcloud/data`
- `/var/lib/nextcloud/config`

# Environment Variables
## DOMAIN
Domain where the nextcloud instance is reachable.

## MAX_UPLOAD_SIZE
- default: 512M

Maximal upload size of a file.

## DB_HOST
Database host.

## DB_NAME
Database name.

## DB_USER
Database user.

## DB_PASSWORD
Password for the database user.

## DB_TABLE_PREFIX
Table prefix in the database.

## IMAP_AUTH_HOST
AUthentication string for the IMAP authentication.

For example `mail.example.com:143/imap/tls`

## MAIL_DOMAIN
Domain part in the from address for notification emails.

## MAIL_FROM
Local part in the from address for notification emails.

## MAIL_SMTP_HOST
SMTP host used for notification emails.

## MAIL_SMTP_PORT
- default: 587

SMTP host port.

## MAIL_SMTP_SECURITY
- default: tls

Connection security for the SMTP host.

## MAIL_SMTP_AUTH
- default: 1

Whether to use authentication with the SMTP host.

## MAIL_SMTP_AUTH_TYPE
- default: PLAIN

Authentication type for the SMTP host.

## MAIL_SMTP_NAME
Username for SMTP authentication.

## MAIL_SMTP_PASSWORD
Password for SMTP authentication.

## LDAP_HOST
Ldap host.

## LDAP_PORT
- default: 389

Ldap port.

## LDAP_TLS
Whether the ldap connection should use tls.

## LDAP_BIND_USER
Bind DN to use when connecting to the ldap host.

## LDAP_BIND_PASSWORD
Password to use when connecting to the ldap host.

## LDAP_LOGIN_FILTER
Ldap filter to see if a user is allowed to login. `%uid` is replaces with the username.

## LDAP_USER_DISPLAY_NAME
Ldap attribute for the display name.

## LDAP_USER_FILTER
Ldap filter to find valid users.

## LDAP_BASE_DN
Base DN of the ldap host.

## LDAP_BASE_USER_DN
Base DN when searching for users.

## LDAP_BASE_GROUP_DN
Base DN when looking for groups.

## LDAP_GROUP_FILTER
Ldap filter to find valid groups.

## LDAP_EMAIL_ATTRIBUTE
Ldap attribute for the email.

## LDAP_UID_ATTRIBUTE
Ldap attribute for the user id.

# Ports
- 80

# Capabilities
- CHOWN
- DAC_OVERRIDE
- NET_BIND_SERVICE
- FOWNER
- SETGID
- SETUID
